GoldWave add-on 19.04, localization update and last version to support NVDA releases earlier than 2019.1 #addonrelease


 

Hi all,

 

In a few hours GoldWave add-on 19.04 will be released. This one is a minor update that brings latest and greatest localization updates for many languages.

 

IMPORTANT COMPATIBILITY NOTICE: GoldWave add-on 19.04 will be the last version to support NVDA versions earlier than 2019.1 (currently this add-on supports NVDA 2017.3 and later in consideration for people using Windows XP). At least 30 days after Python 3 version of NVDA is released (TBD), GoldWave add-on will require:

 

  • NVDA 2019.1 and later
  • GoldWave 6
  • Windows 7 SP1 and later, 64-bit

 

For people who are not using the combination specified above, GoldWave add-on 19.04 will be the last version. The following groups of people will be affected:

 

  1. Anyone using Windows XP, Vista or 7 without service pack 1
  2. Anyone using GoldWave 5.x
  3. Anyone using NVDA releases earlier than 2019.1 (technically, 2018.4 will work; see below)

 

Reason for requiring NVDA 2019.1 (or for that matter, 2018.4) and later: NVDA 2018.4 introduces a much improved way to assign multiple commands to a script (specifically, via scriptHandler.script decorator). For GoldWave add-on, this eases assigning GoldWave native commands to routines performed by NVDA.

 

Python 3 compatibility notice (for reference purposes): GoldWave add-on is compatible with a future Python 3 version of NVDA.

 

Cheers,

Joseph

Join nvda@nvda.groups.io to automatically receive all group messages.